Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -3515,6 +3522,6 @@
          'O3_biascorr   ' /)    !< o3_biascorr
 !
-!-- tracer mole mass:
-    REAL(wp), PARAMETER ::  specmolm(nposp) = (/ &
+!-- Tracer mole mass:
+    REAL(wp), PARAMETER ::  specmolm(nposp) = (/                                                   &
          xm_O * 2 + xm_N, &                         !< NO2
          xm_O + xm_N, &                             !< NO
@@ -3600,5 +3607,4 @@
 !
 !--For LSM surfaces
-
     IF ( match_lsm )  THEN
 !
@@ -3612,5 +3618,5 @@
        r_aero_surf = surf_lsm_h%r_a(m)
        solar_rad   = surf_lsm_h%rad_sw_dir(m) + surf_lsm_h%rad_sw_dif(m)
-       
+
        lai = surf_lsm_h%lai(m)
        sai = lai + 1
@@ -3628,5 +3634,5 @@
        luw_palm = 0
        luw_dep = 0
-! 
+!
 !--    Initialize budgets
        bud_luv = 0.0_wp
@@ -3675,5 +3681,5 @@
              luv_dep = 4
           ELSEIF ( luv_palm == ind_luv_intrup_forest )  THEN
-             luv_dep = 8      
+             luv_dep = 8
           ENDIF
        ENDIF
@@ -3695,9 +3701,9 @@
              lup_dep = 9
           ELSEIF ( lup_palm == ind_lup_cobblest )  THEN
-             lup_dep = 9       
+             lup_dep = 9
           ELSEIF ( lup_palm == ind_lup_metal )  THEN
              lup_dep = 9
           ELSEIF ( lup_palm == ind_lup_wood )  THEN
-             lup_dep = 9    
+             lup_dep = 9
           ELSEIF ( lup_palm == ind_lup_gravel )  THEN
              lup_dep = 9
@@ -3718,5 +3724,5 @@
 
        IF ( surf_lsm_h%frac(m,ind_wat_win) > 0 )  THEN
-          luw_palm = surf_lsm_h%water_type(m)     
+          luw_palm = surf_lsm_h%water_type(m)
           IF ( luw_palm == ind_luw_user )  THEN
              message_string = 'No water type defined. Please define water type to enable deposition calculation'
@@ -3731,5 +3737,5 @@
              luw_dep = 13
           ELSEIF ( luw_palm == ind_luw_fountain )  THEN
-             luw_dep = 13 
+             luw_dep = 13
           ENDIF
        ENDIF
@@ -3742,5 +3748,5 @@
        ENDIF
 !
-!--    Compute length of time step 
+!--    Compute length of time step
        IF ( call_chem_at_all_substeps )  THEN
           dt_chem = dt_3d * weight_pres(intermediate_timestep_count)
@@ -3770,5 +3776,5 @@
 !
 !--    Calculate relative humidity from specific humidity for DEPAC
-       qv_tmp = MAX(q(k,j,i),0.0_wp)
+       qv_tmp = MAX( q(k,j,i), 0.0_wp)
        rh_surf = relativehumidity_from_specifichumidity(qv_tmp, temp_tmp, hyp(k) )
 !
@@ -3781,7 +3787,6 @@
 !
 !--       No vegetation on bare soil, desert or ice:
-          IF ( ( luv_palm == ind_luv_b_soil ) .OR. &
-                ( luv_palm == ind_luv_desert ) .OR. &
-                 ( luv_palm == ind_luv_ice ) ) THEN
+          IF ( ( luv_palm == ind_luv_b_soil )  .OR.  ( luv_palm == ind_luv_desert )  .OR.          &
+               ( luv_palm == ind_luv_ice ) ) THEN
 
              lai = 0.0_wp
@@ -3789,5 +3794,5 @@
 
           ENDIF
-          
+
           slinnfac = 1.0_wp
 !
@@ -3795,5 +3800,5 @@
           DO  lsp = 1, nvar
 !
-!--          Initialize 
+!--          Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -3805,19 +3810,18 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luv_dep,  &
-                     r_aero_surf, ustar_surf )
-
-                bud_luv(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luv_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luv(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
 
@@ -3826,19 +3830,18 @@
 !
 !--             Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luv_dep , &
-                     r_aero_surf, ustar_surf )
-
-                bud_luv(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luv_dep ,                                              &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luv(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSE !< GASES
@@ -3866,5 +3869,4 @@
 !--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
 !--             Use density at k:
-
                 ppm2ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
 !
@@ -3874,9 +3876,9 @@
 !
 !--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
+!--             Use default value
                 diffusivity            = 0.11e-4
 !
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
                 IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
                 IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
@@ -3887,12 +3889,13 @@
 !
 !--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (luv_dep == ilu_water_sea) .OR. (luv_dep == ilu_water_inland), &
-                     z0h_surf, ustar_surf, diffusivity, &
-                     rb )
+                CALL get_rb_cell( ( luv_dep == ilu_water_sea )  .OR.                               &
+                                  ( luv_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                  diffusivity, rb )
 !
 !--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf, solar_rad, cos_zenith, &
-                     rh_surf, lai, sai, nwet, luv_dep, 2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity, &
-                     r_aero_surf , rb )
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, luv_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf , rb )
 !
 !--             Calculate budget
@@ -3903,8 +3906,8 @@
                 ELSE
 
-                   vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
-
-                   bud_luv(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                   vd_lu = 1.0_wp / ( r_aero_surf + rb + rc_tot )
+
+                   bud_luv(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                    ( 1.0_wp - EXP( -vd_lu * dt_dh ) ) * dh
                 ENDIF
 
@@ -3935,19 +3938,18 @@
 !
 !--             Sedimentation velocity:
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     lup_dep,  &
-                     r_aero_surf, ustar_surf )
-
-                bud_lup(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lup_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_lup(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
 
@@ -3956,24 +3958,144 @@
 !
 !--             Sedimentation velocity:
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     lup_dep, &
-                     r_aero_surf, ustar_surf )
-
-                bud_lup(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            lup_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_lup(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
 
              ELSE  !<GASES
 !
 !--             Read spc_name of current species for gas parameter
-
+                IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
+                   i_pspec = 0
+                   DO  pspec = 1, nposp
+                      IF ( pspecnames(pspec) == spc_names(lsp) )  THEN
+                         i_pspec = pspec
+                      END IF
+                   ENDDO
+
+                ELSE
+!
+!--                For now species not deposited
+                   CYCLE
+                ENDIF
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at lowest layer:
+                ppm2ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
+                !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
+                conc_ijk_ugm3 = conc_ijk(lsp)         * ppm2ugm3 *   specmolm(i_pspec)  ! in ug/m3
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value
+                diffusivity            = 0.11e-4
+!
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
+                IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
+                IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
+                IF ( spc_names(lsp) == 'CO'  ) diffusivity = 0.176e-4
+                IF ( spc_names(lsp) == 'SO2' ) diffusivity = 0.112e-4
+                IF ( spc_names(lsp) == 'CH4' ) diffusivity = 0.191e-4
+                IF ( spc_names(lsp) == 'NH3' ) diffusivity = 0.191e-4
+!
+!--             Get quasi-laminar boundary layer resistance rb:
+                CALL get_rb_cell( ( lup_dep == ilu_water_sea )  .OR.                               &
+                                  ( lup_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                    diffusivity, rb )
+!
+!--             Get rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lup_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf , rb )
+!
+!--             Calculate budget
+                IF ( rc_tot <= 0.0 )  THEN
+                   bud_lup(lsp) = 0.0_wp
+                ELSE
+                   vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
+                   bud_lup(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                  ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
+                ENDIF
+
+             ENDIF
+          ENDDO
+       ENDIF
+!
+!--    Water
+       IF ( surf_lsm_h%frac(m,ind_wat_win) > 0 )  THEN
+!
+!--       No vegetation on water:
+          lai = 0.0_wp
+          sai = 0.0_wp
+          slinnfac = 1.0_wp
+!
+!--       Get vd
+          DO  lsp = 1, nvar
+!
+!--          Initialize
+             vs = 0.0_wp
+             vd_lu = 0.0_wp
+             rs = 0.0_wp
+             rb = 0.0_wp
+             rc_tot = 0.0_wp
+             IF ( spc_names(lsp) == 'PM10' )  THEN
+                part_type = 1
+!
+!--             Sedimentation velocity:
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type),      &
+                                                        particle_pars(ind_p_slip, part_type),      &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luw_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luw(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
+
+             ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
+                part_type = 2
+!
+!--             Sedimentation velocity:
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type),      &
+                                                        particle_pars(ind_p_size, part_type), &
+                                                        particle_pars(ind_p_slip, part_type), &
+                                                        visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs,                                             &
+                                            vs,                                                    &
+                                            particle_pars(ind_p_size, part_type),                  &
+                                            particle_pars(ind_p_slip, part_type),                  &
+                                            nwet, temp_tmp, dens, visc,                            &
+                                            luw_dep,                                               &
+                                            r_aero_surf, ustar_surf )
+
+                bud_luw(lsp) = - conc_ijk(lsp) * ( 1.0_wp - EXP( - vd_lu * dt_dh ) ) * dh
+
+             ELSE  !<GASES
+!
+!--             Read spc_name of current species for gas PARAMETER
                 IF ( ANY(pspecnames(:) == spc_names(lsp) ) )  THEN
                    i_pspec = 0
@@ -3997,17 +4119,16 @@
 !--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
 !--             Use density at lowest layer:
-
-                ppm2ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
+                ppm2ugm3 = (dens/xm_air) * 0.001_wp  !< (mole air)/m3
 !
 !--             Atmospheric concentration in DEPAC is requested in ug/m3:
-                !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
-                conc_ijk_ugm3 = conc_ijk(lsp)         * ppm2ugm3 *   specmolm(i_pspec)  ! in ug/m3
+!--                 ug/m3        ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
+                conc_ijk_ugm3 = conc_ijk(lsp) * ppm2ugm3 *  specmolm(i_pspec)  ! in ug/m3
 !
 !--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
+!--             Use default value
                 diffusivity            = 0.11e-4
 !
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
+!--             Overwrite with known coefficients of diffusivity from Massman (1998)
+                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4
                 IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
                 IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
@@ -4018,20 +4139,25 @@
 !
 !--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (lup_dep == ilu_water_sea) .OR. (lup_dep == ilu_water_inland),   &
-                     z0h_surf, ustar_surf, diffusivity, rb )
-!
+                CALL get_rb_cell( ( luw_dep == ilu_water_sea )  .OR.                               &
+                                  ( luw_dep == ilu_water_inland ), z0h_surf, ustar_surf,           &
+                                    diffusivity, rb )
+
 !--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,      &
-                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, lup_dep, 2,    &
-                                         rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity,              &
-                                         r_aero_surf , rb )
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,    &
+                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, luw_dep,  &
+                                         2, rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3,       &
+                                         diffusivity, r_aero_surf , rb )
 !
 !--             Calculate budget
                 IF ( rc_tot <= 0.0 )  THEN
-                   bud_lup(lsp) = 0.0_wp
+
+                   bud_luw(lsp) = 0.0_wp
+
                 ELSE
+
                    vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
-                   bud_lup(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+
+                   bud_luw(lsp) = - ( conc_ijk(lsp) - ccomp_tot(lsp) ) *                           &
+                                  ( 1.0_wp - EXP(-vd_lu * dt_dh ) ) * dh
                 ENDIF
 
@@ -4039,133 +4165,4 @@
           ENDDO
        ENDIF
-!
-!--    Water
-       IF ( surf_lsm_h%frac(m,ind_wat_win) > 0 )  THEN
-!
-!--       No vegetation on water:
-          lai = 0.0_wp
-          sai = 0.0_wp
-          slinnfac = 1.0_wp
-!
-!--       Get vd
-          DO  lsp = 1, nvar
-!
-!--          Initialize
-             vs = 0.0_wp
-             vd_lu = 0.0_wp
-             rs = 0.0_wp
-             rb = 0.0_wp
-             rc_tot = 0.0_wp 
-             IF ( spc_names(lsp) == 'PM10' )  THEN
-                part_type = 1
-!
-!--             Sedimentation velocity:
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luw_dep, &
-                     r_aero_surf, ustar_surf )
-
-                bud_luw(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
-
-             ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
-                part_type = 2
-!
-!--             Sedimentation velocity:
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-                CALL drydepo_aero_zhang_vd( vd_lu, rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, temp_tmp, dens, visc, &
-                     luw_dep, &
-                     r_aero_surf, ustar_surf )
-
-                bud_luw(lsp) = - conc_ijk(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
-
-             ELSE  !<GASES
-!
-!--             Read spc_name of current species for gas PARAMETER
-
-                IF ( ANY(pspecnames(:) == spc_names(lsp) ) )  THEN
-                   i_pspec = 0
-                   DO  pspec = 1, nposp
-                      IF ( pspecnames(pspec) == spc_names(lsp) )  THEN
-                         i_pspec = pspec
-                      END IF
-                   ENDDO
-
-                ELSE
-!
-!--                For now species not deposited
-                   CYCLE
-                ENDIF
-!
-!--             Factor used for conversion from ppb to ug/m3 :
-!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
-!--             thus:
-!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-!--             Use density at lowest layer:
-
-                ppm2ugm3 = (dens/xm_air) * 0.001_wp  !< (mole air)/m3
-!
-!--             Atmospheric concentration in DEPAC is requested in ug/m3:
-!--                 ug/m3        ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
-                conc_ijk_ugm3 = conc_ijk(lsp) * ppm2ugm3 *  specmolm(i_pspec)  ! in ug/m3
-!
-!--             Diffusivity for DEPAC relevant gases
-!--             Use default value 
-                diffusivity            = 0.11e-4
-!
-!--             overwrite with known coefficients of diffusivity from Massman (1998)
-                IF ( spc_names(lsp) == 'NO2' ) diffusivity = 0.136e-4 
-                IF ( spc_names(lsp) == 'NO'  ) diffusivity = 0.199e-4
-                IF ( spc_names(lsp) == 'O3'  ) diffusivity = 0.144e-4
-                IF ( spc_names(lsp) == 'CO'  ) diffusivity = 0.176e-4
-                IF ( spc_names(lsp) == 'SO2' ) diffusivity = 0.112e-4
-                IF ( spc_names(lsp) == 'CH4' ) diffusivity = 0.191e-4
-                IF ( spc_names(lsp) == 'NH3' ) diffusivity = 0.191e-4
-!
-!--             Get quasi-laminar boundary layer resistance rb:
-                CALL get_rb_cell( (luw_dep == ilu_water_sea) .OR. (luw_dep == ilu_water_inland),  &
-                     z0h_surf, ustar_surf, diffusivity, rb )
-
-!--             Get rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_surf,         & 
-                                         solar_rad, cos_zenith, rh_surf, lai, sai, nwet, luw_dep, 2,    &
-                                         rc_tot, ccomp_tot(lsp), hyp(nzb), conc_ijk_ugm3, diffusivity,  &
-                                         r_aero_surf , rb )
-!
-!--             Calculate budget 
-                IF ( rc_tot <= 0.0 )  THEN
-
-                   bud_luw(lsp) = 0.0_wp
-
-                ELSE
-
-                   vd_lu = 1.0_wp / (r_aero_surf + rb + rc_tot )
-
-                   bud_luw(lsp) = - (conc_ijk(lsp) - ccomp_tot(lsp)) * &
-                        (1.0_wp - exp(-vd_lu * dt_dh )) * dh
-                ENDIF
-
-             ENDIF
-          ENDDO
-       ENDIF
 
 
@@ -4175,12 +4172,12 @@
        DO  lsp = 1, nspec
 
-          bud(lsp) = surf_lsm_h%frac(m,ind_veg_wall) * bud_luv(lsp) + &
-               surf_lsm_h%frac(m,ind_pav_green) * bud_lup(lsp) + &
-               surf_lsm_h%frac(m,ind_wat_win) * bud_luw(lsp)
+          bud(lsp) = surf_lsm_h%frac(m,ind_veg_wall)  * bud_luv(lsp) +                             &
+                     surf_lsm_h%frac(m,ind_pav_green) * bud_lup(lsp) +                             &
+                     surf_lsm_h%frac(m,ind_wat_win)   * bud_luw(lsp)
 !
 !--       Compute new concentration:
           conc_ijk(lsp) = conc_ijk(lsp) + bud(lsp) * inv_dh
 
-          chem_species(lsp)%conc(k,j,i) = MAX(0.0_wp, conc_ijk(lsp))
+          chem_species(lsp)%conc(k,j,i) = MAX( 0.0_wp, conc_ijk(lsp) )
 
        ENDDO
@@ -4188,6 +4185,5 @@
     ENDIF
 !
-!-- For USM surfaces    
-
+!-- For USM surfaces
     IF ( match_usm )  THEN
 !
@@ -4225,6 +4221,5 @@
        IF ( surf_usm_h%frac(m,ind_pav_green) > 0 )  THEN
 !
-!--       For green urban surfaces (e.g. green roofs
-!--       assume LU short grass
+!--       For green urban surfaces (e.g. green roofs assume LU short grass
           lug_palm = ind_luv_s_grass
           IF ( lug_palm == ind_luv_user )  THEN
@@ -4266,5 +4261,5 @@
              lug_dep = 4
           ELSEIF ( lug_palm == ind_luv_intrup_forest )  THEN
-             lug_dep = 8      
+             lug_dep = 8
           ENDIF
        ENDIF
@@ -4273,6 +4268,5 @@
 !
 !--       For walls in USM assume concrete walls/roofs,
-!--       assumed LU class desert as also assumed for
-!--       pavements in LSM
+!--       assumed LU class desert as also assumed for pavements in LSM
           luu_palm = ind_lup_conc
           IF ( luu_palm == ind_lup_user )  THEN
@@ -4290,9 +4284,9 @@
              luu_dep = 9
           ELSEIF ( luu_palm == ind_lup_cobblest )  THEN
-             luu_dep = 9       
+             luu_dep = 9
           ELSEIF ( luu_palm == ind_lup_metal )  THEN
              luu_dep = 9
           ELSEIF ( luu_palm == ind_lup_wood )  THEN
-             luu_dep = 9    
+             luu_dep = 9
           ELSEIF ( luu_palm == ind_lup_gravel )  THEN
              luu_dep = 9
@@ -4314,8 +4308,7 @@
        IF ( surf_usm_h%frac(m,ind_wat_win) > 0 )  THEN
 !
-!--       For windows in USM assume metal as this is
-!--       as close as we get, assumed LU class desert
-!--       as also assumed for pavements in LSM
-          lud_palm = ind_lup_metal     
+!--       For windows in USM assume metal as this is as close as we get, assumed LU class desert as
+!--       also assumed for pavements in LSM.
+          lud_palm = ind_lup_metal
           IF ( lud_palm == ind_lup_user )  THEN
              message_string = 'No pavement type defined. Please define pavement type to enable deposition calculation'
